- name: "Set nomad version"
  set_fact:
    nomad_version: 0.12.0-beta2

- name: "Download and install Nomad for x86_64"
  unarchive:
    src: "https://releases.hashicorp.com/nomad/{{ nomad_version }}/nomad_{{ nomad_version }}_linux_amd64.zip"
    dest: /usr/local/bin
    remote_src: yes
  when:
    - "ansible_architecture == 'x86_64'"

- name: "Create Nomad configuration directory"
  file: path=/etc/nomad/ state=directory

- name: "Deploy Nomad configuration"
  template: src=nomad.hcl.j2 dest=/etc/nomad/nomad.hcl

- name: "Deploy Nomad systemd service"
  copy: src=nomad.service dest=/etc/systemd/system/nomad.service

- name: "Enable Nomad systemd service at boot"
  service: name=nomad state=started enabled=yes daemon_reload=yes
